Bug 1396839 - mediawriter abends with SIGABRT after Live iso USB insertion
Summary: mediawriter abends with SIGABRT after Live iso USB insertion
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-20 20:07 UTC by Don Swaner
Modified: 2016-11-25 12:49 UTC (History)
1 user (show)

Fixed In Version: mediawriter-4.0.7-0.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 20:29:27 UTC


Attachments (Terms of Use)
journal listing at time of abend (5.40 KB, text/plain)
2016-11-20 20:07 UTC, Don Swaner
no flags Details

Description Don Swaner 2016-11-20 20:07:51 UTC
Created attachment 1222253 [details]
journal listing at time of abend

Description of problem:
When usb stick (with LIVE iso) is inserted, with mediawriter running, mediawriter prompts as to whether you want to restore a vfat filesystem on the usb stick, but then, in a few seconds, aborts.

Version-Release number of selected component (if applicable):
mediawriter-4.0.0-2.fc24.x86_64

How reproducible:
It has happened twice - the first time unexpectedly.  The second time after a reboot.

Steps to Reproduce:
1.  Start mediawriter
2.  Insert a usb stick containing a Live iso image.
3.  Neither time did I click on a button to restore the fs - the abend happens in a matter of seconds.

Actual results:
mediawrite abends.

Expected results:
mediawrite does not abend, but waits until I decide which button to click on.

Additional info:
I'm running a fully current F24 with a MATE desktop.  In the journal attached, there is a repeated message about the usb stick "appeared twice with different sysfs paths", before the abend.

Comment 1 Fedora Update System 2016-11-21 10:53:27 UTC
mediawriter-4.0.4-0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1a54b4389a

Comment 2 Don Swaner 2016-11-21 13:18:09 UTC
mediawriter-4.0.4-0.fc24.x86_64 still abends with SIGABRT.  Info box displayed shows process got further along.  journal shows same as before.  Was able to click "Restore" button, and another info box displayed (briefly), then the ABEND.  The USB stick still has the Live iso on it - it was not "restored".

Comment 3 Martin Bříza 2016-11-21 13:20:45 UTC
Ok, can you please use ABRT and report the bug through that? The journal log you posted does not contain enough information. ABRT report will contain the core backtrace which I need to know the exact source of the problem.

Comment 4 Don Swaner 2016-11-21 14:16:15 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=1397061.

Earlier I tried to submit report using ABRT, but was having trouble with ABRT configuration - not sure why it finally worked, not sure why it wasn't working before.

Comment 5 Fedora Update System 2016-11-21 19:26:07 UTC
mediawriter-4.0.5-0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-173cdae8b0

Comment 6 Fedora Update System 2016-11-22 15:31:44 UTC
mediawriter-4.0.7-0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6450d48c0d

Comment 7 Fedora Update System 2016-11-23 20:32:25 UTC
mediawriter-4.0.7-0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6450d48c0d

Comment 8 Don Swaner 2016-11-24 11:32:24 UTC
For mediawriter-4.0.7-0.fc24:  started mediawriter; plugged in USB stick with live iso; got dialog box asking if I wanted to restore or not;  tried to press restore, but button was not working; as a matter of fact, nothing was working except for cursor movement; unable to cancel dialog; unable to close dialog; unable to switch to terminal or system monitor to kill process; unable to switch to console to kill process; required manually forced cold boot.

Comment 9 Fedora Update System 2016-11-24 20:29:27 UTC
mediawriter-4.0.7-0.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Don Swaner 2016-11-25 12:49:21 UTC
From journal:
Nov 24 06:11:46 FedoraD.dswaner.home udisksd[596]: Mounted /dev/sdc1 at /run/media/dswaner/Fedora
-MATE-Live-25-1-3 on behalf of uid 1000
Nov 24 06:11:58 FedoraD.dswaner.home kernel: nouveau 0000:00:05.0: fifo: DMA_PUSHER - ch 3 [mediawriter[5965]] get 20000000 put 00307a20 state c0020000 (err: MEM_FAULT) push 00000000
-- Reboot --


Note You need to log in before you can comment on or make changes to this bug.